ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Tc.Types.Rank

# Documentation

data Rank Source #

Constructors

ArbitraryRank |
LimitedRank Bool Rank |
MonoTypeRankZero |
MonoTypeTyConArg |
MonoTypeSynArg |
MonoTypeConstraint |
MustBeMonoType |

#### Instances

Instances details

Outputable Rank Source # |
Instance details Defined in GHC.Tc.Types.Rank Methods ppr :: Rank -> SDoc Source #